SWFMovie
SWFMovie->addExport
SWFMovie
PHP Manual

# SWFMovie->add

(No version information available, might be only in CVS)

SWFMovie->add — Adds any type of data to a movie

### Description

SWFMovie
mixed add ( object `$instance` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Adds an SWF object `instance` to the current movie.

### Parameters

`instance`

  Any type of object instance, like SWFShape, SWFText, SWFFont.

### Return Values

For displayable types (shape, text, button, sprite), this returns an SWFDisplayItem, a handle to the object in a display list. Thus, you can add the same shape to a movie multiple times and get separate handles back for each separate instance.

### See Also

- SWFMovie->remove

SWFMovie
SWFMovie->addExport
SWFMovie
PHP Manual